Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
var /
www /
wiki.bernardino.org /
maintenance /
dev /
Delete
Unzip
Name
Size
Permission
Date
Action
includes
[ DIR ]
drwxr-xr-x
2016-11-28 20:20
README
687
B
-rw-r--r--
2016-11-28 20:20
install.sh
201
B
-rwxr-xr-x
2016-11-28 20:20
installmw.sh
487
B
-rwxr-xr-x
2016-11-28 20:20
installphp.sh
1.33
KB
-rwxr-xr-x
2016-11-28 20:20
start.sh
333
B
-rwxr-xr-x
2016-11-28 20:20
Save
Rename
#!/bin/bash if [ "x$BASH_SOURCE" == "x" ]; then echo '$BASH_SOURCE not set'; exit 1; fi DEV=$(cd -P "$(dirname "${BASH_SOURCE[0]}" )" && pwd) set -e # DO NOT USE PIPES unless this is rewritten . "$DEV/includes/php.sh" if [ "x$PHP" != "x" -a -x "$PHP" ]; then echo "PHP is already installed" exit 0 fi TAR=php5.4-latest.tar.gz PHPURL="http://snaps.php.net/$TAR" cd "$DEV" echo "Preparing to download and install a local copy of PHP 5.4, note that this can take some time to do." echo "If you wish to avoid re-doing this for uture dev installations of MediaWiki we suggest installing php in ~/.mediawiki/php" echo -n "Install PHP in ~/.mediawiki/php [y/N]: " read INSTALLINHOME case "$INSTALLINHOME" in [Yy] | [Yy][Ee][Ss] ) PREFIX="$HOME/.mediawiki/php" ;; *) PREFIX="$DEV/php/" ;; esac # Some debain-like systems bundle wget but not curl, some other systems # like os x bundle curl but not wget... use whatever is available echo -n "Downloading PHP 5.4" if command -v wget &>/dev/null; then echo "- using wget" wget "$PHPURL" elif command -v curl &>/dev/null; then echo "- using curl" curl -O "$PHPURL" else echo "- aborting" echo "Could not find curl or wget." >&2; exit 1; fi echo "Extracting php 5.4" tar -xzf "$TAR" cd php5.4-*/ echo "Configuring and installing php 5.4 in $PREFIX" ./configure --prefix="$PREFIX" make make install